OCR🔗
On this topic🔗
Convolutional Neural Nets🔗
clear_ocr_class_cnn: Clear an CNN-based OCR classifier.
deserialize_ocr_class_cnn: Deserialize a serialized CNN-based OCR classifier.
do_ocr_multi_class_cnn: Classify multiple characters with an CNN-based OCR classifier.
do_ocr_single_class_cnn: Classify a single character with an CNN-based OCR classifier.
do_ocr_word_cnn: Classify a related group of characters with an CNN-based OCR classifier.
get_params_ocr_class_cnn: Return the parameters of a CNN-based OCR classifier.
query_params_ocr_class_cnn: Get the names of the parameters that can be used in
get_params_ocr_class_cnn
for a given CNN-based OCR classifier.
read_ocr_class_cnn: Read an CNN-based OCR classifier from a file.
serialize_ocr_class_cnn: Serialize a CNN-based OCR classifier
Deep OCR🔗
apply_deep_ocr: Apply a Deep OCR model on a set of images for inference.
create_deep_ocr: Create a Deep OCR model.
get_deep_ocr_param: Return the parameters of a Deep OCR model.
read_deep_ocr: Read a Deep OCR model from a file.
set_deep_ocr_param: Set the parameters of a Deep OCR model.
write_deep_ocr: Write a Deep OCR model in a file.
K-Nearest Neighbor🔗
clear_ocr_class_knn: Clear an OCR classifier.
create_ocr_class_knn: Create an OCR classifier using a k-Nearest Neighbor (k-NN) classifier.
deserialize_ocr_class_knn: Deserialize a serialized k-NN-based OCR classifier.
do_ocr_multi_class_knn: Classify multiple characters with an k-NN classifier.
do_ocr_single_class_knn: Classify a single character with an OCR classifier.
do_ocr_word_knn: Classify a related group of characters with an OCR classifier.
get_features_ocr_class_knn: Compute the features of a character.
get_params_ocr_class_knn: Return the parameters of an OCR classifier.
read_ocr_class_knn: Read an OCR classifier from a file.
select_feature_set_trainf_knn: Select an optimal combination of features to classify OCR data.
serialize_ocr_class_knn: Serialize a k-NN-based OCR classifier.
trainf_ocr_class_knn: Trains an k-NN classifier for an OCR task.
write_ocr_class_knn: Write a k-NN classifier for an OCR task to a file.
Lexica🔗
clear_lexicon: Clear a lexicon.
create_lexicon: Create a lexicon from a tuple of words.
import_lexicon: Create a lexicon from a text file.
inspect_lexicon: Query all words from a lexicon.
lookup_lexicon: Check if a word is contained in a lexicon.
suggest_lexicon: Find a similar word in a lexicon.
Neural Nets🔗
clear_ocr_class_mlp: Clear an OCR classifier.
create_ocr_class_mlp: Create an OCR classifier using a multilayer perceptron.
deserialize_ocr_class_mlp: Deserialize a serialized MLP-based OCR classifier.
do_ocr_multi_class_mlp: Classify multiple characters with an OCR classifier.
do_ocr_single_class_mlp: Classify a single character with an OCR classifier.
do_ocr_word_mlp: Classify a related group of characters with an OCR classifier.
get_features_ocr_class_mlp: Compute the features of a character.
get_params_ocr_class_mlp: Return the parameters of an OCR classifier.
get_prep_info_ocr_class_mlp: Compute the information content of the preprocessed feature vectors
of an OCR classifier.
get_regularization_params_ocr_class_mlp: Return the regularization parameters of an OCR classifier.
get_rejection_params_ocr_class_mlp: Return the rejection class parameters of an OCR classifier.
read_ocr_class_mlp: Read an OCR classifier from a file.
select_feature_set_trainf_mlp: Selects an optimal combination of features to classify OCR data.
select_feature_set_trainf_mlp_protected: Select an optimal combination of features to classify OCR data
from a (protected) training file.
serialize_ocr_class_mlp: Serialize a MLP-based OCR classifier.
set_regularization_params_ocr_class_mlp: Set the regularization parameters of an OCR classifier.
set_rejection_params_ocr_class_mlp: Set the rejection class parameters of an OCR classifier.
trainf_ocr_class_mlp: Train an OCR classifier.
trainf_ocr_class_mlp_protected: Train an OCR classifier with data from a (protected) training file.
write_ocr_class_mlp: Write an OCR classifier to a file.
Segmentation🔗
clear_text_model: Clear a text model.
clear_text_result: Clear a text result.
create_text_model_reader: Create a text model.
find_text: Find text in an image.
get_text_model_param: Query parameters of a text model.
get_text_object: Query an iconic value of a text segmentation result.
get_text_result: Query a control value of a text segmentation result.
segment_characters: Segments characters in a given region of an image.
select_characters: Selects characters from a given region.
set_text_model_param: Set parameters of a text model.
text_line_orientation: Determines the orientation of a text line or paragraph.
text_line_slant: Determines the slant of characters of a text line or paragraph.
Support Vector Machines🔗
clear_ocr_class_svm: Clear an SVM-based OCR classifier.
create_ocr_class_svm: Create an OCR classifier using a support vector machine.
deserialize_ocr_class_svm: Deserialize a serialized SVM-based OCR classifier.
do_ocr_multi_class_svm: Classify multiple characters with an SVM-based OCR classifier.
do_ocr_single_class_svm: Classify a single character with an SVM-based OCR classifier.
do_ocr_word_svm: Classify a related group of characters with an OCR classifier.
get_features_ocr_class_svm: Compute the features of a character.
get_params_ocr_class_svm: Return the parameters of an OCR classifier.
get_prep_info_ocr_class_svm: Compute the information content of the preprocessed feature vectors
of an SVM-based OCR classifier.
get_support_vector_num_ocr_class_svm: Return the number of support vectors of an OCR classifier.
get_support_vector_ocr_class_svm: Return the index of a support vector from a trained OCR classifier that is
based on support vector machines.
read_ocr_class_svm: Read a SVM-based OCR classifier from a file.
reduce_ocr_class_svm: Approximate a trained SVM-based OCR classifier by a reduced SVM.
select_feature_set_trainf_svm: Selects an optimal combination of features to classify OCR data.
select_feature_set_trainf_svm_protected: Select an optimal combination of features to classify OCR data
from a (protected) training file.
serialize_ocr_class_svm: Serialize a SVM-based OCR classifier
trainf_ocr_class_svm: Train an OCR classifier.
trainf_ocr_class_svm_protected: Train an OCR classifier with data from a (protected) training file.
write_ocr_class_svm: Write an OCR classifier to a file.
Training Files🔗
append_ocr_trainf: Add characters to a training file.
concat_ocr_trainf: Concat training files.
protect_ocr_trainf: Protection of training data.
read_ocr_trainf: Read training characters from files and convert to images.
read_ocr_trainf_names: Query which characters are stored in a training file.
read_ocr_trainf_names_protected: Query which characters are stored in a (protected) training file.
read_ocr_trainf_select: Read training specific characters from files and convert to images.
write_ocr_trainf: Storing of training characters into a file.
write_ocr_trainf_image: Write characters into a training file.